#
# spec file for package nfs-utils (Version 0.3.3)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gpp libgpp tcpd
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext gpp libgpp libtool libz pam perl rpm tcpd

Name:         nfs-utils
Summary:      Support utilities for kernel nfsd
Version:      0.3.3
Release:      178
Group:        Productivity/Networking/NFS
Obsoletes:    knfsd linuxnfs nfsutils
Provides:     knfsd linuxnfs nfsutils
License:      GPL
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     portmap
Conflicts:    nfs-server
Autoreqprov:  on
Source0:      ftp://nfs.sourceforge.net/pub/nfs/nfs-utils-%{version}.tar.bz2
Source1:      ftp://nfs.sourceforge.net/pub/nfs/nfs.doc.tar.bz2
Source10:     nfsserver.init
Source11:     sysconfig.nfs-nfs-utils
Patch:        nfs-utils-%{version}.dif
Patch1:       nfs-utils-0.3.3-overflow.patch

%description
You'll need a running kernel of version 2.1 or above to use these tools.
To activate the kernel based nfs-server, please set NFS_SERVER in
rc.config to yes. Additionally you can tune the number of server threads
via USE_KERNEL_NFSD_NUMBER.
For quota over NFS support please install the "quota" package.

Authors:
--------
    Olaf Kirch <okir@monad.swb.de>
    H.J. Lu <hjl@valinux.com>

SuSE series: n

%prep
%setup -q -a 1
%patch
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/sbin,/usr/{sbin,share/man/man5,share/man/man8}}
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man1,man5,man8}
make install install_prefix=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT/%{_mandir}
mv $RPM_BUILD_ROOT/usr/sbin/{rpc.lockd,rpc.statd} $RPM_BUILD_ROOT/sbin
touch $RPM_BUILD_ROOT/var/lib/nfs/rmtab
mkdir -p $RPM_BUILD_ROOT/var/lib/nfs
mkdir -p $RPM_BUILD_ROOT/var/lib/nfs/sm
chmod 700 $RPM_BUILD_ROOT/var/lib/nfs/sm
mkdir -p $RPM_BUILD_ROOT/var/lib/nfs/sm.bak
chmod 700 $RPM_BUILD_ROOT/var/lib/nfs/sm.bak
touch $RPM_BUILD_ROOT/var/lib/nfs/xtab
chmod 644 $RPM_BUILD_ROOT/var/lib/nfs/xtab
touch $RPM_BUILD_ROOT/var/lib/nfs/rmtab
chmod 644 $RPM_BUILD_ROOT/var/lib/nfs/rmtab
touch $RPM_BUILD_ROOT/var/lib/nfs/etab
chmod 644 $RPM_BUILD_ROOT/var/lib/nfs/etab
touch $RPM_BUILD_ROOT/var/lib/nfs/state
chmod 600 $RPM_BUILD_ROOT/var/lib/nfs/state
install -m 744 %{SOURCE10} $RPM_BUILD_ROOT/etc/init.d/nfsserver
install -m 644 %{SOURCE11} $RPM_BUILD_ROOT/var/adm/fillup-templates
ln -sf ../../etc/init.d/nfsserver $RPM_BUILD_ROOT/usr/sbin/rcnfsserver

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv -s nfsserver NFS_SERVER}
%{fillup_only -an nfs}

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
%doc nfs/*.html nfs/*.ps linux-nfs/*
#/dev/nfsd_netlink
/var/adm/fillup-templates/sysconfig.nfs-nfs-utils
%ghost /var/lib/nfs/state
%ghost /var/lib/nfs/sm
%ghost /var/lib/nfs/sm.bak
%config(noreplace) /var/lib/nfs/xtab
%config(noreplace) /var/lib/nfs/etab
%config(noreplace) /var/lib/nfs/rmtab
/usr/sbin/exportfs
/usr/sbin/nfsstat
/usr/sbin/showmount
/usr/sbin/nhfsstone
/usr/sbin/nhfsrun
/usr/sbin/nhfsnums
/usr/sbin/nhfsgraph
/usr/sbin/rcnfsserver
/sbin/rpc.lockd
/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/sbin/rpc.statd
%config /etc/init.d/nfsserver
%doc %{_mandir}/man5/exports.5.gz
%doc %{_mandir}/man8/exportfs.8.gz
%doc %{_mandir}/man8/nfsstat.8.gz
%doc %{_mandir}/man8/nhfsstone.8.gz
%doc %{_mandir}/man8/nhfsrun.8.gz
%doc %{_mandir}/man8/nhfsnums.8.gz
%doc %{_mandir}/man8/nhfsgraph.8.gz
%doc %{_mandir}/man8/showmount.8.gz
%doc %{_mandir}/man8/statd.8.gz
%doc %{_mandir}/man8/rpc.statd.8.gz
%doc %{_mandir}/man8/mountd.8.gz
%doc %{_mandir}/man8/rpc.mountd.8.gz
%doc %{_mandir}/man8/nfsd.8.gz
%doc %{_mandir}/man8/rpc.nfsd.8.gz

%changelog -n nfs-utils
* Tue Jul 08 2003 - okir@suse.de
- Fixed off-by-one overflow (#27744)
* Tue Feb 26 2002 - ro@suse.de
- fixed wrong quotes in init-script (#13939)
* Wed Feb 06 2002 - ro@suse.de
- ignore returncodes from killing statd and lockd (#13072)
* Wed Feb 06 2002 - ro@suse.de
- sysconfig/nfs-server -> sysconfig/nfs
* Wed Jan 09 2002 - ro@suse.de
- removed variable NFS_SERVER (#12742)
- moved USE_KERNEL_NFSD_NUMBER to /etc/sysconfig/nfs-server
* Wed Sep 26 2001 - ro@suse.de
- up to 0.3.3
  many fixes to canonicalize hostnames in exports
* Fri Aug 24 2001 - ro@suse.de
- removed nfs-version 3 detection in start-script, all kernels
  that have kernel nfsd support usually do have nfsd-v3 support
  and detection would require at least a 5 sec wait in the script
* Tue Jul 31 2001 - kukuk@suse.de
- Fix path to init script in description [Bug #9494]
- Fix comment in runlevel section [Bug #9561]
- Make init script LSB conform [Bug #9073]
* Wed Apr 11 2001 - ro@suse.de
- lockd only started for 2.2 kernels instead of ignoring error
- completed rpc.statd to /sbin move in startscript
* Mon Mar 12 2001 - ro@suse.de
- move rpc.lockd, rpc.statd to /sbin
* Mon Mar 12 2001 - ro@suse.de
- update to 0.3.1
- ignore lockd error messages
- dump filedescriptors before starting kernel threads
* Tue Feb 06 2001 - ro@suse.de
- renamed package to nfs-utils
- Obsoletes and Provides nfsutils
* Fri Jan 12 2001 - ro@suse.de
- fixed conflicts: nfs-server (#5548)
* Thu Jan 11 2001 - ro@suse.de
- don't fail if lockd can't be started
* Wed Dec 06 2000 - bk@suse.de
- fix broken symlinks for %%{_mandir}/rpc.{nfs,mount,stat}d.8.gz
* Tue Nov 28 2000 - kukuk@suse.de
- Move new initscript to /etc/init.d
* Thu Oct 12 2000 - ro@suse.de
- exports.4 should be exports.5
- removed k-prefix
* Thu Oct 12 2000 - ro@suse.de
- added exports.4 man-page
- up to 0.2.1
* Wed Sep 27 2000 - ro@suse.de
- update to 0.2
- fix for nfsserver.init (check for v3)
* Thu Aug 17 2000 - ro@suse.de
- ugraded from knfsd to successor package nfs-utils (v.0.1.9.1)
* Fri Jul 28 2000 - bjacke@suse.de
- fixed checkproc call in init script
* Fri Jul 21 2000 - kukuk@suse.de
- Fix missing format string in syslog call (next rpc.statd security
  problem)
* Wed Jul 19 2000 - kukuk@suse.de
- Fix problem with NULL h_alias field (rpc.statd security problem)
* Thu Jun 22 2000 - kukuk@suse.de
- Change conflict from itself to nfsserv
* Tue Apr 18 2000 - kukuk@suse.de
- Fix rcnfsserver link
* Sat Apr 15 2000 - kukuk@suse.de
- Add rc.config variables and init script from aaa_base
* Wed Feb 16 2000 - kukuk@suse.de
- Fill out Copyright and Group field
- Remove rquotad from file list, it is already in the quota
  package [Bug 1571]
* Tue Jan 25 2000 - ro@suse.de
- manpages to /usr/share using macro
* Thu Oct 21 1999 - ro@suse.de
- renamed package from linuxnfs to knfsd
* Tue Oct 12 1999 - garloff@suse.de
- Fixed filelist (%%ghost)
* Tue Oct 12 1999 - garloff@suse.de
- upgraded to knsfd-1.5.2. Added klockd to file list.
  Ditto for new /dev/nfsd_netlink.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Sat Jul 17 1999 - ro@suse.de
- update to 1.4.6
* Mon Jun 14 1999 - kukuk@suse.de
- update to version 1.4
* Sun Jun 06 1999 - kukuk@suse.de
- update to version 1.3.3b
* Tue Mar 16 1999 - ro@suse.de
- update to version 1.2
* Thu Nov 26 1998 - ro@suse.de
- update to 981122
* Thu Nov 12 1998 - ro@suse.de
- use lx_hack
* Wed Oct 21 1998 - ro@suse.de
- added bugfix for statd (by HJL)
* Tue Oct 20 1998 - ro@suse.de
- update to knfsd-981014
* Mon Sep 28 1998 - ro@suse.de
- initial package / for use a 2.1 kernel with knfsd support is needed
